Bug 1205777 - Review Request: gap-pkg-autpgrp - Compute the automorphism group of a p-Group in GAP
Summary: Review Request: gap-pkg-autpgrp - Compute the automorphism group of a p-Group...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1205904
TreeView+ depends on / blocked
 
Reported: 2015-03-25 15:19 UTC by Jerry James
Modified: 2015-06-10 19:10 UTC (History)
2 users (show)

Fixed In Version: gap-pkg-autpgrp-1.6-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-10 19:10:36 UTC
Type: ---
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jerry James 2015-03-25 15:19:20 UTC
Spec URL: https://jjames.fedorapeople.org/gap-pkg-autpgrp/gap-pkg-autpgrp.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-autpgrp/gap-pkg-autpgrp-1.6-1.fc23.src.rpm
Fedora Account System Username: jjames
Description: The AutPGrp package introduces a new function to compute the automorphism group of a finite p-group.  The underlying algorithm is a refinement of the methods described in O'Brien (1995).  In particular, this implementation is more efficient in both time and space requirements and hence has a wider range of applications than the ANUPQ method.  Our package is written in GAP code and it makes use of a number of methods from the GAP library such as the MeatAxe for matrix groups and permutation group functions.  We have compared our method to the others available in GAP.  Our package usually out-performs all but the method designed for finite abelian groups.  We note that our method uses the small groups library in certain cases and hence our algorithm is more effective if the small groups library is installed.

Comment 1 gil cattaneo 2015-05-27 15:49:05 UTC
silly question:
can you use texlive-pdftex-bin and texlive-tex-bin
for re-generate documentation and htm files
using make_doc script?

Comment 2 gil cattaneo 2015-05-27 16:14:10 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
 NOTE: manual review 

===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 7 files have unknown license. Detailed
     output of licensecheck in /home/gil/1205777-gap-pkg-autpgrp/srpm
     /review-gap-pkg-autpgrp/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/licenses
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/licenses
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[-]: Package complies to the Packaging Guidelines
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.8 starting (python version = 2.7.5)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.8
INFO: Mock Version: 1.2.8
Finish: chroot init
INFO: installing package(s): /home/gil/1205777-gap-pkg-autpgrp/srpm/gap-pkg-autpgrp-1.6-1.fc23.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 23 install /home/gil/1205777-gap-pkg-autpgrp/srpm/gap-pkg-autpgrp-1.6-1.fc23.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: gap-pkg-autpgrp-1.6-1.fc23.noarch.rpm
          gap-pkg-autpgrp-1.6-1.fc23.src.rpm
gap-pkg-autpgrp.noarch: W: spelling-error Summary(en_US) automorphism -> metamorphism
gap-pkg-autpgrp.noarch: W: spelling-error %description -l en_US automorphism -> metamorphism
gap-pkg-autpgrp.noarch: W: spelling-error %description -l en_US abelian -> Belgian, Annabel, Anabel
gap-pkg-autpgrp.noarch: W: only-non-binary-in-usr-lib
gap-pkg-autpgrp.src: W: spelling-error Summary(en_US) automorphism -> metamorphism
gap-pkg-autpgrp.src: W: spelling-error %description -l en_US automorphism -> metamorphism
gap-pkg-autpgrp.src: W: spelling-error %description -l en_US abelian -> Belgian, Annabel, Anabel
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Requires
--------
gap-pkg-autpgrp (rpmlib, GLIBC filtered):
    /usr/bin/update-gap-workspace
    gap-core



Provides
--------
gap-pkg-autpgrp:
    gap-pkg-autpgrp



Source checksums
----------------
http://www.icm.tu-bs.de/~beick/soft/autpgrp/autpgrp-1.6.tar.gz :
  CHECKSUM(SHA256) this package     : bf056b82b1b99b6b49d81d27576666410e7644220a26c5c0528e6e71617f9583
  CHECKSUM(SHA256) upstream package : bf056b82b1b99b6b49d81d27576666410e7644220a26c5c0528e6e71617f9583


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -vpn gap-pkg-autpgrp -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 gil cattaneo 2015-05-27 16:15:41 UTC
approved

Comment 4 Jerry James 2015-05-28 20:21:41 UTC
(In reply to gil cattaneo from comment #1)
> silly question:
> can you use texlive-pdftex-bin and texlive-tex-bin
> for re-generate documentation and htm files
> using make_doc script?

That's not a silly question at all.  This is what the GAPDoc package essentially does, and it is pulled in by the gap-core package.  I will see what needs to be done to make this happen.  Probably all of the other gap packages need similar tweaks.

(In reply to gil cattaneo from comment #3)
> approved

Thank you very much for the review!

Comment 5 Jerry James 2015-05-28 20:23:43 UTC
New Package SCM Request
=======================
Package Name: gap-pkg-autpgrp
Short Description: Compute the automorphism group of a p-Group in GAP
Upstream URL: http://www.icm.tu-bs.de/~beick/so.html
Owners: jjames
Branches: f22
InitialCC:

Comment 6 Gwyn Ciesla 2015-05-29 12:12:24 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2015-05-29 22:27:25 UTC
gap-pkg-autpgrp-1.6-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gap-pkg-autpgrp-1.6-1.fc22

Comment 8 Fedora Update System 2015-06-01 17:02:29 UTC
gap-pkg-autpgrp-1.6-1.fc22 has been pushed to the Fedora 22 testing repository.

Comment 9 Fedora Update System 2015-06-10 19:10:36 UTC
gap-pkg-autpgrp-1.6-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.